:root {
  --color-dark: #161616;
  --color-white: #ffffff;
  --color-secondary: #ffc0cb;
  --color-background-secondary: #ffd9df;
  --color-primary: #deb783;
  --color-primary-hover: #c3a072;
  --color-background-primary: #fff8cf;
  --color-link: #0994e8;

  --color-grey: #808080;

  --swiper-theme-color: #deb783;
  --swiper-navigation-color: #deb783;
  --swiper-pagination-color: #deb783;

  --bs-primary: var(--color-primary);
  --bs-secondary: var(--color-secondary);
  --bs-primary-rgb: 222, 182, 130;
}

.color-secondary {
  color: var(--color-secondary);
}
.color-primary {
  color: var(--color-primary);
}
.color-grey {
  color: var(--color-grey);
}

.background-primary {
  background-color: var(--color-primary);
}

.overflow-hidden {
  overflow: hidden;
}

* {
  box-sizing: border-box;
}
html {
  font-size: 20px;
}

body {
  font-family: "Glass Antiqua", cursive;
  overflow-x: hidden;
  width: 100vw;
}

p {
  line-height: 1.1rem;
}
h1,
h2,
h3,
.nav {
  font-family: "Great Vibes", cursive;
}

#header {
  height: 100vh !important;
  width: 100vw;
  overflow: hidden;
}

h2 {
  position: relative;
  text-align: center;
  color: var(--color-primary);
  margin-top: 1.5rem;
  margin-bottom: 2rem;
}

h2::before,
h2::after {
  content: "";
  position: absolute;
  top: 50%;
  width: 10vw;
  height: 1px;
  background-color: var(--color-primary);
}

h2::before {
  left: 0;
  transform: translateX(-13vw);
}

h2::after {
  right: 0;
  transform: translateX(13vw);
}

.button {
  border: 1px solid var(--color-primary);
  background: white;
  color: var(--color-primary);
  border-radius: 5px;
  padding: 4px 12px;
  font-weight: 600;
}

.button.filled {
  border: 1px solid var(--color-primary);
  background: var(--color-primary);
  color: var(--color-white);
}

.swiper-container {
  width: 100%;
  overflow: hidden;
  position: relative;
}

.header-swiper-container {
  height: 100vh !important;
}
.history-swiper-container {
  height: 500px !important;
}

.swiper-wrapper {
}
.header-swiper-wrapper {
  height: 100vh !important;
}

.swiper-slide {
  background-size: cover;
  background-position: center;
}

.header-swiper-slide {
  height: 100vh;
}

.swiper-header-container {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9;
  color: white;
  font-size: 30px;
}

.wrapper-darken {
  background-color: #000000b0;
  color: white;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px 0;
}

.swiper-title {
  font-size: 2rem;
  margin-bottom: 2rem;
}
.swiper-text {
  font-size: 1rem;
  display: block;
  padding: 0 2rem;
  max-width: 800px;
}

.d-contents {
  display: contents;
}

.nav {
  background: white;
}

.nav ul {
  margin-top: 30px;
  padding: 30px 0;
  list-style-type: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
}

.nav li {
  padding: 10px;
  display: block;
  border-bottom: 1px solid var(--color-white);
  transition-duration: 0.4s;
}
.nav li:hover {
  border-bottom: 1px solid var(--color-primary);
  transition-duration: 0.3s;
}

.nav a {
  color: var(--color-dark);
  text-decoration: none;
}

.container {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section {
  padding: 5vh 0;
  background-size: cover;
  background-position: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section--secondary {
  background-color: var(--color-background-secondary);
}
.section--primary {
  background-color: var(--color-background-primary);
}

.section__wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  flex-grow: 1;
  width: 100%;
}

.map__wrapper {
  width: 100%;
  height: 30vh;
}

.wedding-input-group {
  width: 100%;
  max-width: 600px;
}
.wedding-input-group-small {
  width: 100%;
  max-width: 400px;
}

.quote {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-bottom: 2rem;
  font-family: "Great Vibes", cursive;
}
.quote__content {
  font-style: italic;
  margin: 0 0 0.5rem 0;
  letter-spacing: 0.1rem;
  font-size: 1.3rem;
}
.quote__author {
  color: var(--color-grey);
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--color-primary);
  --bs-btn-border-color: var(--color-primary);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: var(--color-primary-hover);
  --bs-btn-hover-border-color: var(--color-primary-hover);
  --bs-btn-focus-shadow-rgb: 49, 132, 253;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--color-primary-hover);
  --bs-btn-active-border-color: var(--color-primary-hover);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--color-primary);
  --bs-btn-disabled-border-color: var(--color-primary);
}

.form-control:focus {
  color: var(--bs-body-color);
  background-color: var(--bs-body-bg);
  border-color: var(--color-primary);
  outline: 0;
  box-shadow: 0 0 0 1px var(--color-primary);
}

.footer {
  background-color: var(--color-primary);
  color: white;
  padding: 10px;
  text-align: center;
  margin-top: 2rem;
}
.footer a {
  color: white;
  text-decoration: none;
}

.info-banner {
  background-color: var(--color-primary);
  color: var(--color-white);
  line-height: 1.2rem;
  padding: 10px;
  margin-top: 1.6rem;
  border-radius: 3px;
  display: block;
  text-decoration: none;
}

.invitation__guestName {
  font-family: "Great Vibes", cursive;
  font-size: 2rem;
  line-height: 2rem;
  margin: 2rem 0;
}

.invitation__date {
  font-family: "Great Vibes", cursive;
  font-size: 1.6rem;
  line-height: 1.6rem;
  margin: 1.4rem 0;
}

.form__comment {
  font-family: "Great Vibes", cursive;
  font-size: 1.4rem;
  line-height: 2rem;
  margin-bottom: 1.5rem;
  text-align: center;
}

.form-check-input:checked {
  background-color: var(--color-primary);
  border-color: var(--color-primary);
}
.form-check-input:focus {
  border-color: var(--color-primary);
  outline: 0;
  box-shadow: none;
}

.form-switch .form-check-input:focus:not(:checked) {
  --bs-form-switch-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23deb783'/%3e%3c/svg%3e");
}
.form-switch .form-check-input:checked {
  background-position: right center;
  --bs-form-switch-bg: url(
    data:image/svg + xml,
    %3csvgxmlns="http://www.w3.org/2000/svg"viewBox="-4 -4 8 8"%3e%3ccircler="3"fill="%23fff"/%3e%3c/svg%3e
  );
}

.organisation {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 1.5rem;
  margin-bottom: 2rem;
}
@media screen and (max-width: 768px) {
  .organisation {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
  }
}

.marble-container {
  border-radius: 0.5rem;
  padding: 0.6rem;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  margin-bottom: 2rem;
  max-width: 560px;
}
.marble-wrapper {
  background-color: #ffffffdd;
  color: black;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 1rem;
  border-radius: 0.3rem;
}

.contact__grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
}

.socialMedia__link {
  text-decoration: none;
  color: var(--color-link);
}
